package com.yifu.cloud.plus.v1.csp.vo;

import com.yifu.cloud.plus.v1.yifu.common.core.util.ErrorMessage;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.ArrayList;
import java.util.List;

@Data
@Schema(description = "离职待办派单错误信息VO")
public class ErrorInfoVo implements Serializable {
	private static final long serialVersionUID = 628032758008497542L;

	// 社保
	List<ErrorMessage> socialParamList = new ArrayList<>();
	// 公积金
	List<ErrorMessage> fundParamList = new ArrayList<>();
	// 保险
	List<ErrorMessage> insuranceParamList = new ArrayList<>();
	// 合同
	List<ErrorMessage> contractParamList = new ArrayList<>();
	// 项目
	List<ErrorMessage> projectParamList = new ArrayList<>();
	// 员工
	List<ErrorMessage> empParamList = new ArrayList<>();

}
